Summary: The X11 presentation graphics program
Name: magicpoint
Version: 1.04a
Release: 1
Source: ftp://ftp.mew.org/pub/MagicPoint/magicpoint-%{PACKAGE_VERSION}.tar.gz
Copyright: free (BSD-style?)
Group: X11/Applications
Packager: Jan "Yenya" Kasprzak <kas@fi.muni.cz>
BuildRoot: /tmp/magicpoint-root
%description

MagicPoint is an X11 based presentation tool.  It is designed to make
simple presentations easy while to make complicated presentations
possible.  Its presentation file (whose suffix is typically .mgp) is
just text so that you can create presentation files quickly with your
favorite editor (e.g. Emacs).

%changelog
* Tue Oct 27 1998 Jan "Yenya" Kasprzak <kas@fi.muni.cz>
- initial revision.

%prep
%setup

./configure --prefix=/usr --x-includes=/usr/X11R6/include --x-libraries=/usr/X11R6/lib
xmkmf -a

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
set
make DESTDIR=${RPM_BUILD_ROOT} install
mkdir -p ${RPM_BUILD_ROOT}/usr/bin
install -c -m 0755 contrib/mgp2latex.pl ${RPM_BUILD_ROOT}/usr/bin/mgp2latex
install -c -m 0755 contrib/mgp2html.pl ${RPM_BUILD_ROOT}/usr/bin/mgp2html
mkdir -p ${RPM_BUILD_ROOT}/usr/X11R6/lib/X11/mgp/sample
install -c -m 0644 sample/*.gif sample/*.eps sample/*.mgp \
sample/mgprc-sample sample/*.xbm sample/README sample/README.jp \
${RPM_BUILD_ROOT}/usr/X11R6/lib/X11/mgp/sample/

%files
%attr(0755,root,root) /usr/X11R6/bin/mgp
%attr(0755,root,root) /usr/X11R6/bin/mgp2ps
%attr(0755,root,root) /usr/X11R6/bin/mgpembed
%attr(0755,root,root) /usr/X11R6/bin/mgpnet
%attr(0755,root,root) /usr/X11R6/bin/xwintoppm
%attr(0755,root,root) /usr/bin/mgp2html
%attr(0755,root,root) /usr/bin/mgp2latex
%attr(0755,root,root) %dir /usr/X11R6/lib/X11/mgp
%attr(0644,root,root) /usr/X11R6/lib/X11/mgp/default.mgp
%attr(0644,root,root) /usr/X11R6/lib/X11/mgp/mgp1.gif
%attr(0644,root,root) /usr/X11R6/lib/X11/mgp/mgp2.gif
%attr(0644,root,root) /usr/X11R6/lib/X11/mgp/mgp3.gif
%attr(0644,root,root) %doc README README.fonts README.fonts.jp CHANGELOG COPYRIGHT COPYRIGHT.jp SYNTAX TODO.jp USAGE USAGE.jp
%attr(0755,root,root) %doc %dir /usr/X11R6/lib/X11/mgp/sample
%attr(0644,root,root) %doc /usr/X11R6/lib/X11/mgp/sample/*
